### Method

# Gtk FilterListModelset_model

#### Declaration [src]

    void
    gtk_filter_list_model_set_model (
      GtkFilterListModel* self,
      GListModel* model
    )

#### Description [src]

Sets the model to be filtered.

Note that GTK makes no effort to ensure that `model` conforms to the item type of `self`. It assumes that the caller knows what they are doing and have set up an appropriate filter to ensure that item types match.

Sets property | `Gtk.FilterListModel:model`

#### Parameters

`model`

  Type: `GObject`

  The model to be filtered.

  The argument can be `NULL`.
  The data is owned by the caller of the method.